management:
  endpoints:
    jmx:
      domain: com.zi.wms
      exposure:
        include: "*"
    web:
      exposure:
        include: "*"
  endpoint:
    shutdown:
      enabled: false
  health:
    rabbit:
      enabled: ${useamqp}
server:
  port: ${http.port}
spring:
  boot:
#    admin:
#      client:
#        url: http://123.57.206.181:8016
#      server:
#        url: http://123.57.206.181:8018 # Spring Admin Server的地址
  application:
    name: wms_${svr}
  jmx:
    enabled: true
  datasource:
    url: ${db.${typemode}.url}
    username: ${db.${typemode}.username}
    password: ${db.${typemode}.password}
    hikari:
      minimum-idle: 5
      maximum-pool-size: 20
      validation-timeout: 5000
      connection-test-query: SELECT 1 FROM DUAL
      idle-timeout: 60000
      pool-name: ziWMS-${Seq}
      max-lifetime: 300000
  rabbitmq:
    addresses: ${mq.${typemode}.addresses}
    username: ${mq.${typemode}.username}
    password: ${mq.${typemode}.password}
    virtual-host: ${mq.${typemode}.vhost}
    connection-timeout: 15000
    publisher-confirm-type: correlated
    publisher-returns: true
    listener: 
      type: simple
      simple:
        concurrency: 5
        max-concurrency: 10
        acknowledge-mode: auto
        auto-startup: true
        prefetch: 1
        retry: 
          max-attempts: 1
          initial-interval: 10000
          max-interval: 30000
          enabled: true
          stateless: true
logging:
  config: ${configRootPath}/log/${svr}/log4j2.xml
  
com:
  zxy:
    idm:
      pltform:
        use-action: true
        action-config-location: classpath:/actions/
        bpel-config-location: classpath:/bpels/${svr}
        query-timeout: 30
        transaction-timeout: 600
        transaction-automanaged: false
        propagation: PROPAGATION_REQUIRED
        isolation-level: ISOLATION_READ_COMMITTED
        batch-size: 500
        use-tibrv: ${useTibrv}
        tibrv:
          listener:
            subject-name: ${local}${company}.${factory}.${cim}.${mode}.${svr}
            service: ${service}
            daemon: ${daemon}
            network: ${network}
            encoding: utf8
            scheduler-weight: ${schedulerWeight}
            worker-tasks: ${workerTasks}
            worker-weight: ${workerWeight}
            queue-name: ${company}.${factory}.${cim}.${mode}.${svr}.${dq}
        use-amqp: ${useamqp}
        amqp:
          subject-name: ${company}.${factory}.${cim}.${mode}.${svr}
          durable: true
          exclusive: false
          auto-delete: true
          topic-exchange: ${cim}.${mode}.SVR
          routing-key: ${cim}.${mode}.${client}.${svr}
        bpel:
          core-pool-size: 5
          max-pool-size: 20
          keep-alive-time: 500
          queue-size: 0
          bpel-completion-timeout: 5000
        use-scheduler: ${scheduler}
        scheduler:
          scheduled-pool-size: 20
        cas:
          check-pda: false
          check-oic: false
          secret: m&e^s@s1706%2022
          excepts:
            - GetConstantDefList
            - GetNLSDataList
            - GetFactoryList
            - GetEnumDefValueList
            - GetUserInfoByUsername
            - GetAreaList
            - UserLogin
            - UserLogout
        